Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class EntityManagerInvocationHandler

    java.lang.Object
      org.jboss.seam.persistence.EntityManagerInvocationHandler

All Implemented Interfaces:
  Serializable, InvocationHandler

    public class EntityManagerInvocationHandler

extends Object
implements InvocationHandler, Serializable

InvocationHandler that Proxies the EntityManager, and implements EL interpolation in JPA-QL

Author:
  Gavin King, Mike Youngstrom
See Also:
  Serialized Form

Constructor Summary
`EntityManagerInvocationHandler(javax.persistence.EntityManager delegate)`

Method Summary
`protected Object` | `handleCreateQueryWithString(Method method, Object[] args)`
`protected Object` | `handleGetDelegate(Method method, Object[] args)`
`protected Object` | `handleRemove(Method method, Object[] args)`
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerInvocationHandler

    public EntityManagerInvocationHandler(javax.persistence.EntityManager delegate)

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### handleCreateQueryWithString

    protected Object handleCreateQueryWithString(Method method,
                                                 Object[] args)
                                          throws Throwable

  Throws:
    `Throwable`

### handleGetDelegate

    protected Object handleGetDelegate(Method method,
                                       Object[] args)
                                throws Throwable

  Throws:
    `Throwable`

### handleRemove

    protected Object handleRemove(Method method,
                                  Object[] args)
                           throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.